Update an attached source's placement on the stack
curl --request PUT \
--url https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sort_order": 1,
"show_all_components": true,
"settings": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sort_order: 1, show_all_components: true, settings: {}})
};
fetch('https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id}"
payload = {
"sort_order": 1,
"show_all_components": True,
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"message": "Source settings updated successfully"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Stacks
Update an attached source's placement on the stack
PUT
/
v1
/
stacks
/
{stack_id}
/
sources
/
{source_id}
Update an attached source's placement on the stack
curl --request PUT \
--url https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sort_order": 1,
"show_all_components": true,
"settings": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sort_order: 1, show_all_components: true, settings: {}})
};
fetch('https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/stacks/{stack_id}/sources/{source_id}"
payload = {
"sort_order": 1,
"show_all_components": True,
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"message": "Source settings updated successfully"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Authorizations
StatusStack authenticates requests with API keys, created via the dashboard with granular permissions (read, write, delete, admin, *).
API keys support version compatibility:
- v1 keys: Can only access v1 endpoints
- v2 keys: Can access both v1 and v2 endpoints
Available permissions:
read: View resources (GET requests)write: Create and update resources (POST, PUT requests)delete: Delete resources (DELETE requests)admin: Administrative access to all resources*: Wildcard permission (all actions allowed)
Body
application/json
Response
Placement updated
Example:
"Source settings updated successfully"
Was this page helpful?

